Bug 1519347 - kdesvn 2.0.0 is available
Summary: kdesvn 2.0.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdesvn
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 15:52 UTC by Kevin Kofler
Modified: 2019-04-30 01:29 UTC (History)
3 users (show)

Fixed In Version: kdesvn-2.0.95-1.fc29 kdesvn-2.0.95-1.fc30
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-29 02:14:58 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2017-11-30 15:52:40 UTC
kdesvn 2.0.0 was released almost a year ago:
https://download.kde.org/stable/kdesvn/2.0.0/
Yet, even Rawhide is still stuck on 1.7.0.

Comment 1 Kevin Kofler 2018-01-09 12:50:39 UTC
Ping?

Comment 2 Vasiliy Glazov 2019-04-19 06:28:21 UTC
I am can update it to latest version.

Comment 3 Kevin Kofler 2019-04-19 09:02:49 UTC
Finally! Thanks in advance!

You will probably want to at least pick up the 11 bugfix commits from the 2.0 branch since the 2.0.0 release that's not more than 2 years old:
https://cgit.kde.org/kdesvn.git/log/?h=2.0

It might even make sense to package a snapshot from master (2.0.95, to become 2.1 eventually) instead, but it might also be better to stick to the 2.0 branch until 2.1 is actually released. That is your decision as the (new) maintainer.

Comment 4 Kevin Kofler 2019-04-19 09:03:56 UTC
Oops, I made a nasty meaning-changing typo there. I mean:
… the 2.0.0 release that's NOW (not "not") more than 2 years old.

Comment 5 Vasiliy Glazov 2019-04-19 09:13:30 UTC
I am already builded latest git commit. Version 2.0.95.

Pure 2.0.0 can't be builded with current kf5.

Comment 6 Kevin Kofler 2019-04-19 09:30:05 UTC
OK. Thanks!

Comment 7 Vasiliy Glazov 2019-04-19 09:47:21 UTC
So I am just wait when Orion Poplawski make me admin of this package.

Comment 8 Fedora Update System 2019-04-19 14:10:39 UTC
kdesvn-2.0.95-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b4e1bfcc0

Comment 9 Fedora Update System 2019-04-19 14:10:42 UTC
kdesvn-2.0.95-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b909640434

Comment 10 Fedora Update System 2019-04-19 15:54:45 UTC
kdesvn-2.0.95-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b909640434

Comment 11 Fedora Update System 2019-04-19 20:36:05 UTC
kdesvn-2.0.95-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b4e1bfcc0

Comment 12 Fedora Update System 2019-04-29 02:14:58 UTC
kdesvn-2.0.95-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-30 01:29:29 UTC
kdesvn-2.0.95-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.